import numpy as np
import matplotlib.pyplot as plt

n_jocs = 10000

prob_guanyar_canviant = np.zeros(n_jocs, dtype=np.double)
prob_guanyar_quedantse = np.zeros(n_jocs, dtype=np.double)

portes = [1, 2, 3]

for i in range(n_jocs):
    porta_oberta_monty = portes.copy()
    # aleatòriament col·loquem el cotxe
    porta_cotxe = np.random.randint(1, 4)
    # en Monty ja no pot obrir-la
    porta_oberta_monty.remove(porta_cotxe)
    # el concursant escull una porta
    porta_escollida = np.random.randint(1, 4)
    # en Monty no pot obrir la nostra porta
    if porta_escollida != porta_cotxe: porta_oberta_monty.remove(porta_escollida)
    porta_tancada = portes.copy()
    # mirem quina porta queda per obrir
    porta_tancada.remove(porta_escollida)
    porta_tancada.remove(porta_oberta_monty[0])
    # posem les probabilitats inicials
    if i == 0:
        if porta_tancada[0] == porta_cotxe:
            prob_guanyar_canviant[i] = 1.0
        else:
            prob_guanyar_quedantse[i] = 1.0
    else:
        # calculem les probabilitats acumulades
        if porta_tancada[0] == porta_cotxe:
            prob_guanyar_canviant[i] = (prob_guanyar_canviant[i - 1] * np.double(i) + 1.0) / np.double(i + 1)
            prob_guanyar_quedantse[i] = prob_guanyar_quedantse[i - 1] * np.double(i) / np.double(i + 1)
        else:
            prob_guanyar_quedantse[i] = (prob_guanyar_quedantse[i - 1] * np.double(i) + 1.0) / np.double(i + 1)
            prob_guanyar_canviant[i] = prob_guanyar_canviant[i - 1] * np.double(i) / np.double(i + 1)

# imprimim els 150 primers valors, que usarem al gràfic de HighCharts. Més eren
# masses per a ser entenibles pels usuaris
print(list(prob_guanyar_canviant)[:150])
print(list(prob_guanyar_quedantse)[:150])
jocs = np.linspace(1, n_jocs, n_jocs)
# fem un plot del gràfic a Python també, amb totes les dades dels 10000 jocs
plt.semilogx(jocs, prob_guanyar_canviant, color='red')
plt.semilogx(jocs, prob_guanyar_quedantse, color='green')
plt.legend(['switch', 'stay'])
plt.xlabel('Game Number')
plt.ylabel('Probability of winning')
plt.show()

