# posar un setwd working directory si no estem dins d'un projecte de RStudio
# setwd("C:/Clara/Documentos/Universitat/TFG/problemes/codi")
source("simulate-game.R")
library("ggplot2")
library("BrailleR")

# escollim la seed
seed <- 121
# i el nombre de jocs a simular
n_jocs <- 100
# simulem els n jocs a simulate-game.R i n'extraiem les llistes de booleans
quedantse <- simula_jocs(n = n_jocs, seed = seed, canviar = FALSE)
canviant <- simula_jocs(n = n_jocs, seed = seed, canviar = TRUE)
# guardem les sumes acumulatives de victories en un dataframe
resultats = data.frame(
  joc = seq_len(n_jocs),
  suma_quedantse = cumsum(quedantse),
  suma_canviant = cumsum(canviant)
)

titol = "Problema de Monty Hall"
# posem els parametres per dibuixar el grafic
mida_linia = 1
# divisio de l'eix x i limits de l'eix y
x_breaks = y_breaks = seq(from = 0, to = n_jocs, length.out = 10 + 1) 
y_limits = c(0, n_jocs) 
w = 8 # amplada del grafic
h = 5 # alcada del grafic

# fem el grafic de dues linies
grafic <- ggplot(data = resultats) +
  geom_line(aes(x = joc, y = suma_canviant, colour = 
                  "Cambiando"), linewidth = mida_linia) +
  geom_line(aes(x = joc, y = suma_quedantse, colour = 
                  "Quedándose"), linewidth = mida_linia) +
  scale_x_continuous(breaks = x_breaks) +
  scale_y_continuous(breaks = y_breaks, limits = y_limits) +
  scale_color_manual(name = "", values = c("Cambiando" = "blue", "Quedándose" = "red")) +
  theme_minimal() +
  labs(x = 'Número de juegos simulados') +
  labs(y = 'Suma acumulativa de juegos ganados') +
  labs(caption = 'Cambiando es la línea 1 y Quedándose la línea 2') +
  labs(col = NULL) +
  labs(title = titol)

# usem BrailleR per descriure tots els punts del grafic
VI(grafic, Describe = TRUE, threshold = 100)