import random
import numpy as np
import matplotlib.pyplot as plt
from math import factorial

# escollim un nombre de vegades que volem fer l'estimació
n = 10000
trials = np.linspace(1, n, n)
estimacions = np.zeros(n, dtype=np.float)
bayest = []
# creem una llista on posar les probabilitats
probs = np.zeros(1000, dtype=np.float)

cent = [i for i in range(100)]
for i in range(n):
    # escollim 10 observacions aleatòries entre 1 i 100
    lista = random.sample(cent, 10)
    m = max(lista)
    # calculem l'estimador per aquest cas
    estimacio = m * (11 / 10) - 1
    estimacions[i] = ("%.2f" % estimacio)

# imprimim la llista d'estimacions que farem servir al gràfic de HighCharts
print(list(estimacions))
print(len(estimacions))

""" 
extra: càlcul de dos gràfics usant que el maxim vist és 94
el primer ens mostra les probabilitats, és semblant al gràfic dels tancs de R
el segon les probabilitats segons un nombre de tancs o un altre
"""
m = 94
for k in range(m, 1000):
    btrials = np.linspace(m, 1000, 1000)
    bayesian = (9 * (factorial(m) / (factorial(9) * factorial(m - 9)))) / (
                10 * (factorial(k) / (factorial(10) * factorial(k - 10))))
    probs[k] = bayesian
    if bayesian > 0.05:
        bayest.append(k)

print(np.mean(estimacions), np.median(estimacions))
print(bayest)
print(np.median(bayest))
print(np.median(probs))

fig, axs = plt.subplots(2)
axs[0].plot(probs[:200])
axs[1].semilogx(trials, estimacions)
plt.show()
